## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLWhitespaceDetector

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLWhitespaceDetector

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IWhitespaceDetector

    public class SQLWhitespaceDetector

extends java.lang.Object
implements org.eclipse.jface.text.rules.IWhitespaceDetector

Constructor Summary
`SQLWhitespaceDetector()` Constructor.

Method Summary
`boolean` `isWhitespace(char c)` Returns whether the specified character is whitespace.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLWhitespaceDetector

    public SQLWhitespaceDetector()

  Constructor.

Method Detail

### isWhitespace

    public boolean isWhitespace(char c)

  Returns whether the specified character is whitespace.

  Specified by:
    `isWhitespace` in interface `org.eclipse.jface.text.rules.IWhitespaceDetector`